VehicleSetup.General

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ctdp.rfdynhud.gamedata
Class VehicleSetup.General

    java.lang.Object
      net.ctdp.rfdynhud.gamedata.VehicleSetup.General

Enclosing class:
  VehicleSetup

    public static class VehicleSetup.General

extends java.lang.Object

Model of the general part of the setup

Author:
  Marvin Froehlich (CTDP)

Constructor Summary
`VehicleSetup.General()`

Method Summary
`VehiclePhysics.TireCompound` | `getFrontTireCompound()` GENERAL::FrontTireCompoundSetting=7//04-Hot
`float` | `getFrontWing()` FRONTWING::FWSetting=64//65
`float` | `getFuel(int pitstop)` Get fuel in the units selected in the PLR.
`float` | `getFuelGal(int pitstop)` Get fuel in galons.
`float` | `getFuelL(int pitstop)` Get fuel in liters.
`int` | `getNumPitstops()` GENERAL::NumPitstopsSetting=2//2
`VehiclePhysics.TireCompound` | `getRearTireCompound()` GENERAL::RearTireCompoundSetting=7//04-Hot

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VehicleSetup.General

    public VehicleSetup.General()

Method Detail

### getFrontTireCompound

    public final VehiclePhysics.TireCompound getFrontTireCompound()

  GENERAL::FrontTireCompoundSetting=7//04-Hot

  Returns:
    the front tire compound.

### getRearTireCompound

    public final VehiclePhysics.TireCompound getRearTireCompound()

  GENERAL::RearTireCompoundSetting=7//04-Hot

  Returns:
    the rear tire compound.

### getNumPitstops

    public final int getNumPitstops()

  GENERAL::NumPitstopsSetting=2//2

  Returns:
    the number of planned pit stops.

### getFuelL

    public final float getFuelL(int pitstop)

  Get fuel in liters. GENERAL::FuelSetting=94//100L (13laps) GENERAL::Pitstop1Setting=71//75L (10laps) GENERAL::Pitstop2Setting=60//64L (8laps) GENERAL::Pitstop3Setting=48//N/A

  Parameters:
    `pitstop` - pitstop number. (0 for starting fuel).
  Returns:
    the fuel setting for the given pitstop number.
  See Also:
    `getNumPitstops()`

### getFuelGal

    public final float getFuelGal(int pitstop)

  Get fuel in galons. GENERAL::FuelSetting=94//100L (13laps) GENERAL::Pitstop1Setting=71//75L (10laps) GENERAL::Pitstop2Setting=60//64L (8laps) GENERAL::Pitstop3Setting=48//N/A

  Parameters:
    `pitstop` - pitstop number. (0 for starting fuel).
  Returns:
    the fuel setting for the given pitstop number.
  See Also:
    `getNumPitstops()`

### getFuel

    public final float getFuel(int pitstop)

  Get fuel in the units selected in the PLR. GENERAL::FuelSetting=94//100L (13laps) GENERAL::Pitstop1Setting=71//75L (10laps) GENERAL::Pitstop2Setting=60//64L (8laps) GENERAL::Pitstop3Setting=48//N/A

  Parameters:
    `pitstop` - pitstop number. (0 for starting fuel).
  Returns:
    the fuel setting for the given pitstop number.
  See Also:
    `getNumPitstops()`

### getFrontWing

    public final float getFrontWing()

  FRONTWING::FWSetting=64//65

  Returns:
    the front wing level.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD